Plugin Meross pb

Tags: #<Tag:0x00007f75221a9390>

Petit UP sur ce sujet SVP
Est-ce que d’autres utilisateurs rencontre un problème similaire ?
J’ai tout essayé, réinstallé, reconfiguré, redémarré Jeedom, 2 fois, 3 fois… nada, que dalle, le DEMON du plugin MEROSS reste rouge : NOK :sob:

Alors pour ma part désinstallation du plugin et réinstallation puis activation aucun souci de mon coté, bizarre :thinking:

login pass ok?

Honte sur moi !!
Effectivement, je me suis craqué sur mon mot de passe lors de la réinstallation du plugin.

Par contre ça n’explique pas le 1er plantage. Pas grave, tout refonctionne parfaitement.
Merci beaucoup pour le coup de main :wink:

Bonjour @Steph034

Tu en es ou de ton problème?

Bonjour et bien je suis passé par le store parallèle et j’ai installé un plugin non officiel, et lui marche parfaitement. Pas eu de news sur le plugin présent dans le store jeedom.

Donc tu n’a plus de problème si je comprends bien?

Avec un autre plug in non, mais si je prends celui ci , si.

Alors a priori tu semble le seul a avoir un souci avec ce plugin?
Quelle version de Jeedom as tu?
Quel version d’OS sur ta machine?
Quelle type de machine utilise tu?
Quel est cet autre plugin qui fonctionne?

Quelle version de Jeedom as tu? : v4.0.61
Quel version d’OS sur ta machine? Linux jeedom 5.4.51-v8+ #1333 SMP PREEMPT Mon Aug 10 16:58:35 BST 2020 aarch64 GNU/Linux [10.6] --> c’est exactement ce qui est indiqué dans jeedom, je ne peux pas faire plus complet
Quelle type de machine utilise tu? raspberry pi4 8Go + ssd
Quel est cet autre plugin qui fonctionne? Meross sur alternativemarketforjeedom (https://nextdom.github.io/plugin-Meross/fr_FR/)
Il demande les mêmes infos, compte et mot de passe et là c’est ok

ok la seul différence c’est la version de system, tu utilise une version aarch64 GNU/Linux [10.6] et moi comme DamDam44 une version armv7l GNU/Linux [10.4] donc possible que la différence d’architecture du system soit en cause c’est la seul raison que je vois, donc il y a forcément des différences sur les dépendances aussi

Hello…

Même (enfin il semble) problème ici…

Jeedom 4.0.61 sur Pi4 + plugin meross…

[2020-10-14 14:01:40][INFO] : Cycle mise à jour puissance inférieur à 5 secondes.
[2020-10-14 14:01:40][INFO] : Lancement démon meross : /usr/bin/python3 /var/www/html/plugins/MerossIOT/resources/MerossIOTd/MerossIOTd.py --muser "xxx" --mpswd "xxx" --mupdp 30 --callback http://127.0.0.1:80/plugins/MerossIOT/core/php/jeeMerossIOT.php --apikey 3mf5dDBvhhiA81hMNTVfRD8hjiXjn5Iv --loglevel debug --pid /tmp/jeedom/MerossIOT/daemon.pid --socket /tmp/jeedom/MerossIOT/daemon.sock
[2020-10-14 14:01:41][INFO][root](MainThread) : Start MerossIOTd
[2020-10-14 14:01:41][INFO][root](MainThread) : Log level : debug
[2020-10-14 14:01:41][INFO][root](MainThread) : Socket : /tmp/jeedom/MerossIOT/daemon.sock
[2020-10-14 14:01:41][INFO][root](MainThread) : PID file : /tmp/jeedom/MerossIOT/daemon.pid
[2020-10-14 14:01:41][INFO][root](MainThread) : Apikey : 3mf5dDBvhhiA81hMNTVfRD8hjiXjn5Iv
[2020-10-14 14:01:41][INFO][root](MainThread) : Update Power : 30
[2020-10-14 14:01:41][INFO][root](MainThread) : Callback : http://127.0.0.1:80/plugins/MerossIOT/core/php/jeeMerossIOT.php
[2020-10-14 14:01:41][INFO][root](MainThread) : Python version : 3.7.3 (default, Jul 25 2020, 13:03:44)
[GCC 8.3.0]
[2020-10-14 14:01:41][DEBUG][root](MainThread) : Ecriture du PID 28636 dans /tmp/jeedom/MerossIOT/daemon.pid
[2020-10-14 14:01:41][DEBUG][root](MainThread) : Envoi un test à jeedom
[2020-10-14 14:01:41][DEBUG][root](MainThread) : Envoie à jeedom :  {'action': 'test'}
[2020-10-14 14:01:41][DEBUG] : Array (     [action] => test )
[2020-10-14 14:01:41][DEBUG][root](MainThread) : Réponse de jeedom :  {'success': True}
[2020-10-14 14:01:41][INFO][root](MainThread) : Démarrage Meross Manager
2020-10-14 14:01:41,570 - meross.api - ERROR - Unknown/unsupported Value error
ValueError: 1004 is not a valid ErrorCodes
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/local/lib/python3.7/dist-packages/meross_iot/api.py", line 102, in _authenticated_post
result_code = ErrorCodes(code)
File "/usr/lib/python3.7/enum.py", line 310, in __call__
return cls.__new__(cls, value)
File "/usr/lib/python3.7/enum.py", line 564, in __new__
raise exc
File "/usr/lib/python3.7/enum.py", line 548, in __new__
result = cls._missing_(value)
File "/usr/lib/python3.7/enum.py", line 577, in _missing_
raise ValueError("%r is not a valid %s" % (value, cls.__name__))
ValueError: 1004 is not a valid ErrorCodes

Mais encore ? que veut dire cette phrase ?

Quel version d’OS et du plugin?

Et bien le démon ne démarre pas et j’ai le même message dans les logs…
Raspbian (Buster Debian 10.4) / Plugin - Stable 2020-06-22 01:06:52

As-tu relancé les dépendances suite à la réinstallation du plugin ? Et avant de lancer le démon .

Même problème pour moi (« 1004 is not a valid ErrorCodes »).
J’ai bien relancé l’installation des dépendances, mais impossible de lancer le démon ensuite.

Je me réponds à moi-même…

Problème résolu.
J’ai simplement changé mon mot de passe, qui contenait certainement un caractère autorisé par l’application MEROSS sur mon mobile, mais refusé par l’API meross…
En l’occurrence il s’agissait du caractère « * ».

(il se peut aussi que mon mot de passe était trop court, il faisait 8 caractères, le nouveau en fait 10)

1 J'aime

Bon je confirme le pb de mot de passe !
J’ai du simplifier mon mot de passe pour que ça passe via l’API :slight_smile:

@Jeremie-C, je ne sais pas si tu maintiens toujours l’app, en grattant pour mon problème j’ai vu que l’API Meross avait évoluée https://pypi.org/project/meross-iot/ (passage de 0.3 à 0.4)

1 J'aime

Bonjour a tous,

mon démon ne se lançait plus il était nok.
J’ai changé le mot de passe (le miens avait @) et tout refonctionne parfaitement

Un message a été scindé en un nouveau sujet : Problème Plugin Merossiot